# Setting up the environment

This page describes what you need to install before you can run the tools from the various repositories. We expect that you use Windows 10.

## Steps

1. On Windows 10, install the Windows Subsystem for Linux (WSL) with either the Ubuntu or Debian distribution.

2. Open a command line shell: Press Win+R and enter `bash`.

3. Install Node.js ([source](https://nodejs.org/en/download/package-manager/#debian-and-ubuntu-based-linux-distributions)):

    ```bash
    wget -qO- https://deb.nodesource.com/setup_11.x | sudo -E bash -
    sudo apt-get install -y nodejs
    ```

4. Install npm modules:

    ```bash
    sudo npm install -g typescript
    ```
